# Class pyglet.text.formats.attributed.AttributedTextDecoder

    DocumentDecoder --+
                      |
                     AttributedTextDecoder

## Methods

AbstractDocument | decode(self, text, location=None) Decode document text.
| append(self, text)
| safe(self, ast)
| safe_node(self, node)

## Method Details

### decode

decode(self, text, location=None)
Decode document text.

Returns: AbstractDocument
Overrides:
  DocumentDecoder.decode